Name:           ocaml-sexplib
Version:        109.20.00
Release:        %mkrel 3
Summary:        OCaml library for converting OCaml values to S-expressions

Group:          Development/OCaml
License:        LGPLv2+ with exceptions and BSD
URL:            http://ocaml.janestreet.com
Source0:        http://ocaml.janestreet.com/ocaml-core/%{version}/individual/sexplib-%{version}.tar.gz

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-type-conv
BuildRequires:  camlp4

Requires:       ocaml-type-conv

%rename ocaml-sexplib310

%description
This library contains functionality for parsing and pretty-printing
S-expressions. In addition to that it contains an extremely useful
preprocessing module for Camlp4, which can be used to automatically
generate code from type definitions for efficiently converting
OCaml-values to S-expressions and vice versa. In combination with the
parsing and pretty-printing functionality this frees users from having
to write their own I/O-routines for datastructures they
define. Possible errors during automatic conversions from
S-expressions to OCaml-values are reported in a very human-readable
way. Another module in the library allows you to extract and replace
sub-expressions in S-expressions.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%rename ocaml-sexplib310-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n sexplib-%{version}

%build
./configure
make

%check
make test
#./lib_test/conv_test
#./lib_test/sexp_test < lib_test/test.sexp

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install


%files
%doc LICENSE.txt LICENSE-Tywith.txt
%{_libdir}/ocaml/sexplib/META
%{_libdir}/ocaml/sexplib/*.cmi
%{_libdir}/ocaml/sexplib/*.cma
%{_libdir}/ocaml/sexplib/*.cmxs

%files devel
%doc CHANGES.txt COPYRIGHT.txt README.md
# TODO: bring back the doc:
#doc doc/
%{_libdir}/ocaml/sexplib/*.a
%{_libdir}/ocaml/sexplib/*.cmx
%{_libdir}/ocaml/sexplib/*.cmxa
%{_libdir}/ocaml/sexplib/*.mli
%{_libdir}/ocaml/sexplib/*.ml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 109.20.00-3.mga4
+ Revision: 534723
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 malo <malo> 109.20.00-2.mga4
+ Revision: 478631
- rebuild for new ocaml

  + blue_prawn <blue_prawn>
    - removed this detail that is hard to maintain over time

* Sat Jun 01 2013 malo <malo> 109.20.00-1.mga4
+ Revision: 434003
- update to 109.20.00

* Sun Jan 13 2013 umeabot <umeabot> 108.07.01-2.mga3
+ Revision: 361605
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 blue_prawn <blue_prawn> 108.07.01-1.mga3
+ Revision: 319752
- constrain the set of libs from janest to be the same version
- updated to last version 108.07.01

* Mon Oct 01 2012 blue_prawn <blue_prawn> 108.07.00-2.mga3
+ Revision: 301870
- build requires ocaml-compiler-libs
- rebuild for ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 108.07.00-1.mga3
+ Revision: 300194
- updated to last version 108.07.00
- updated to last version 108.07.00
- Warning: I was unable to build the doc (TODO: fix this!)
- new rpm group for ocaml

* Wed Jul 25 2012 malo <malo> 108.00.02-2.mga3
+ Revision: 274246
- add missing %%rename for -devel package to have a correct upgrade path

* Wed Jul 25 2012 malo <malo> 108.00.02-1.mga3
+ Revision: 274209
- update to 108.00.02 (new upstream) after import from Mandriva
- spec clean-up after import from Mandriva
- imported package ocaml-sexplib


* Fri Mar 26 2010 Florent Monnier <blue_prawn@mandriva.org> 4.2.17-1mdv2010.1
+ Revision: 527572
- updated to version 4.2.17

* Tue Sep 22 2009 Florent Monnier <blue_prawn@mandriva.org> 4.2.15-2mdv2010.0
+ Revision: 447089
- rebuild

* Mon Sep 21 2009 Florent Monnier <blue_prawn@mandriva.org> 4.2.15-1mdv2010.0
+ Revision: 446942
- new version
- rebuild
- rebuild
- new version

* Sat Sep 12 2009 Florent Monnier <blue_prawn@mandriva.org> 4.2.12-2mdv2010.0
+ Revision: 438544
- added Requires: ocaml-type-conv
- install some sample files

* Thu Aug 06 2009 Florent Monnier <blue_prawn@mandriva.org> 4.2.12-1mdv2010.0
+ Revision: 410923
- updated version

* Tue Jul 28 2009 Florent Monnier <blue_prawn@mandriva.org> 4.2.11-1mdv2010.0
+ Revision: 401368
- updated version

* Mon Jun 29 2009 Guillaume Rousse <guillomovitch@mandriva.org> 4.2.10-2mdv2010.0
+ Revision: 390538
- rebuild

* Sat May 23 2009 Florent Monnier <blue_prawn@mandriva.org> 4.2.10-1mdv2010.0
+ Revision: 379084
- updated version
- updated version
- The initial RPM release was made from the fedora rpm .spec file (revision 1.4) by Richard W.M. Jones

* Tue Jan 06 2009 Florent Monnier <blue_prawn@mandriva.org> 4.2.2-1mdv2009.1
+ Revision: 326265
- import ocaml-sexplib


* Sat Dec 20 2008 Florent Monnier <fmonnier@linux-nantes.org> 4.2.2-1mdv
- Initial RPM release made from the fedora rpm .spec file (revision 1.4) by Richard W.M. Jones
# found there: http://cvs.fedoraproject.org/viewvc/devel/ocaml-sexplib/
# taken spec file rev 1.4 and patch rev 1.1
